Name:           Panini
Version:        0.70.99
Release:        2%{?dist}
Summary:        A visual tool for creating perspective views from panoramic photographs

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://sourceforge.net/projects/pvqt
Source0:        http://downloads.sourceforge.net/pvqt/%{name}-%{version}-src.zip
Source1:        Panini.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel >= 4.4.2 desktop-file-utils

%description
Panini can load most common photo and panoramic formats from image files such
as those created with hugin or QuickTimeVR (QTVR .mov) files.  Like all pano
viewers, it then shows a linear perspective view that can be panned and zoomed.
But Panini can also display a range of wide angle perspectives via the
stereographic and "Pannini" vedutismo families of projections, and shift,
rotate, and stretch the image like a software view camera.


%prep
%setup -q -n %{name}-%{version}-src
qmake-qt4 panini.pro


%build
make release %{?_smp_mflags}
sed -i 's/\r//' panini-usage.txt
sed -i 's/\r//' GPLversion3.txt
sed -i 's/\r//' panini-0.70-release.txt


%install
rm -rf %{buildroot}
install -D -m 0755 %{name} %{buildroot}/%{_bindir}/%{name}
desktop-file-install --vendor="" \
  --dir=%{buildroot}/%{_datadir}/applications \
  %{SOURCE1}


%clean
rm -rf %{buildroot}


%post
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null ||:


%postun
update-desktop-database &> /dev/null ||:
update-mime-database %{_datadir}/mime &> /dev/null ||:


%files
%defattr(-,root,root,-)
%doc panini-usage.txt panini-0.70-release.txt GPLversion3.txt
%{_bindir}/%{name}
%{_datadir}/applications/Panini.desktop


%changelog
* Wed Jun 24 2009 Bruno Postle <bruno@postle.net> 0.70.99-2
- Initial rpm
